/* Copied right in 2004 - All rights reversed */

#include <stdio.h>

int main(int argc, char *argv[]) {
	FILE *in, *out;

	if (argc != 3) {
		printf("Usage: %s infile outfile\n", argv[0]);
		return 1;
	}

	in = fopen(argv[1], "r");
	if (!in) {
		printf("Can't open `%s' for reading\n", argv[1]);
		return 1;
	}

	out = fopen(argv[2], "wb");
	if (!out) {
		printf("Can't open `%s' for writing\n", argv[2]);
		fclose(in);
		return 1;
	}

	while (1) {
		int i, end, cnt;

		if (fscanf(in, "%i %i", &end, &cnt) != 2)
			break;

		/* Little-endian, though it doesn't really matter as long as
		 * the cutscene code uses the same encoding.
		 */
		fputc(end & 0xFF, out);
		fputc(end >> 8, out);

		fputc(cnt & 0xFF, out);
		fputc(cnt >> 8, out);

		for (i = 0; i < cnt; i++) {
			int r, g, b;

			fscanf(in, "%i %i %i", &r, &g, &b);
			fputc(r, out);
			fputc(g, out);
			fputc(b, out);
		}
	}

	fclose(in);
	fclose(out);
	return 0;
}

